View Issue Details

IDProjectCategoryView StatusLast Update
0002382Industrial-Craft²general / otherpublic2018-06-17 07:40
Reporterdragonmatt5Assigned ToChocohead 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0002382: Game crashes on attempting to render fluid cell
DescriptionGame crashes any time it attempts to render certain things from the mod. This includes trying to view them in JEI, or running across them in the game.

Steps To ReproduceLoad game, open world, open inventory.
Search for any of the mod fluid items
Game freezes and crashes.
Additional InformationCrash Report information

---- Minecraft Crash Report ----
// Quite honestly, I wouldn't worry myself about that.

Time: 2018-06-11 01:06:48 EDT
Description: Rendering ingredient

java.lang.NullPointerException
    at net.minecraft.client.renderer.RenderItem.handler$beforeRenderItem$zbh000(RenderItem.java:1170)
    at net.minecraft.client.renderer.RenderItem.renderQuads(RenderItem.java)
    at net.minecraft.client.renderer.RenderItem.renderModel(RenderItem.java:125)
    at net.minecraft.client.renderer.RenderItem.renderModel(RenderItem.java:106)
    at mezz.jei.render.ItemStackFastRenderer.uncheckedRenderItemAndEffectIntoGUI(ItemStackFastRenderer.java:61)
    at mezz.jei.render.ItemStackFastRenderer.renderItemAndEffectIntoGUI(ItemStackFastRenderer.java:30)
    at mezz.jei.render.IngredientListBatchRenderer.render(IngredientListBatchRenderer.java:162)
    at mezz.jei.gui.overlay.IngredientGrid.draw(IngredientGrid.java:90)
    at mezz.jei.gui.overlay.IngredientListOverlay.drawScreen(IngredientListOverlay.java:212)
    at mezz.jei.gui.GuiEventHandler.onDrawBackgroundEventPost(GuiEventHandler.java:74)
    at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_1971_GuiEventHandler_onDrawBackgroundEventPost_BackgroundDrawnEvent.invoke(.dynamic)
    at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
    at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:182)
    at net.minecraft.client.gui.GuiScreen.drawDefaultBackground(GuiScreen.java:575)
    at net.minecraft.client.gui.inventory.GuiInventory.drawScreen(SourceFile:66)
    at net.minecraftforge.client.ForgeHooksClient.drawScreen(ForgeHooksClient.java:368)
    at net.minecraft.client.renderer.EntityRenderer.updateCameraAndRender(EntityRenderer.java:1124)
    at net.minecraft.client.Minecraft.runGameLoop(Minecraft.java:1117)
    at net.minecraft.client.Minecraft.run(Minecraft.java:3934)
    at net.minecraft.client.main.Main.main(SourceFile:123)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Ingredient being rendered --
  Ingredient Mod: IndustrialCraft 2
  Ingredient Info: 1xic2.fluid_cell@0 ic2:fluid_cell nbt:{Fluid:{FluidName:"obsidian",Amount:1000}}

-- Screen render details --
  Screen name: net.minecraft.client.gui.inventory.GuiInventory
  Mouse location: Scaled: (256, 162). Absolute: (512, 325)
  Screen size: Scaled: (512, 325). Absolute: (1024, 650). Scale factor of 2

-- Affected level --
  Level name: MpServer
  All players: 1 total; [EntityPlayerSP['dragonmatt5'/420, l='MpServer', x=-580.35, y=64.00, z=544.51]]
  Chunk stats: MultiplayerChunkCache: 81, 81
  Level seed: 0
  Level generator: ID 04 - customized, ver 0. Features enabled: false
  Level generator options:
  Level spawn location: World: (-505,64,234), Chunk: (at 7,4,10 in -32,14; contains blocks -512,0,224 to -497,255,239), Region: (-1,0; contains chunks -32,0 to -1,31, blocks -512,0,0 to -1,255,511)
  Level time: 3264190 game time, 3417927 day time
  Level dimension: 0
  Level storage version: 0x00000 - Unknown?
  Level weather: Rain time: 0 (now: false), thunder time: 0 (now: false)
  Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
  Forced entities: 48 total; [EntityItem['item.item.feather'/512, l='MpServer', x=-590.69, y=64.00, z=565.37], EntityCow['Cow'/513, l='MpServer', x=-589.81, y=64.00, z=566.31], EntityCow['Cow'/514, l='MpServer', x=-589.01, y=64.00, z=565.94], EntitySkeleton['Skeleton'/653, l='MpServer', x=-554.50, y=44.00, z=588.50], EntityWitch['Witch'/528, l='MpServer', x=-570.50, y=12.00, z=543.50], EntityCreeper['Creeper'/529, l='MpServer', x=-567.50, y=11.00, z=541.50], EntitySkeleton['Skeleton'/530, l='MpServer', x=-567.50, y=11.00, z=542.50], EntitySkeleton['Skeleton'/531, l='MpServer', x=-566.50, y=11.00, z=543.50], EntityCreeper['Creeper'/532, l='MpServer', x=-564.78, y=50.00, z=543.50], EntityPlayerSP['dragonmatt5'/420, l='MpServer', x=-580.35, y=64.00, z=544.51], EntitySkeleton['Skeleton'/422, l='MpServer', x=-554.50, y=39.00, z=584.50], EntitySheep['Sheep'/435, l='MpServer', x=-589.28, y=64.00, z=567.55], EntityCow['Cow'/436, l='MpServer', x=-590.92, y=64.00, z=567.31], EntityChicken['Chicken'/437, l='MpServer', x=-591.04, y=64.00, z=567.80], EntityChicken['Chicken'/438, l='MpServer', x=-596.18, y=64.00, z=567.10], EntityChicken['Chicken'/439, l='MpServer', x=-588.50, y=64.00, z=567.50], EntityChicken['Chicken'/440, l='MpServer', x=-595.73, y=64.00, z=566.95], EntityItem['item.item.egg'/441, l='MpServer', x=-595.36, y=64.00, z=567.82], EntityItem['item.item.egg'/442, l='MpServer', x=-596.00, y=64.00, z=564.83], EntityCow['Cow'/443, l='MpServer', x=-594.83, y=64.00, z=564.44], EntityChicken['Chicken'/444, l='MpServer', x=-596.18, y=64.00, z=566.65], EntityCow['Cow'/445, l='MpServer', x=-590.23, y=64.00, z=567.23], EntityChicken['Chicken'/446, l='MpServer', x=-592.14, y=64.00, z=566.67], EntityCow['Cow'/447, l='MpServer', x=-595.11, y=64.00, z=565.41], EntityCow['Cow'/448, l='MpServer', x=-593.39, y=64.00, z=566.42], EntityChicken['Chicken'/449, l='MpServer', x=-594.93, y=64.00, z=567.80], EntityChicken['Chicken'/450, l='MpServer', x=-594.25, y=64.00, z=566.84], EntityMinecartChest['Minecart with Chest'/580, l='MpServer', x=-568.50, y=18.06, z=590.50], EntityMinecartChest['Minecart with Chest'/581, l='MpServer', x=-597.50, y=18.06, z=533.50], EntityVillager['Villager'/582, l='MpServer', x=-612.22, y=58.00, z=545.77], EntityVillager['Villager'/583, l='MpServer', x=-612.30, y=58.06, z=557.52], EntityVillager['Villager'/584, l='MpServer', x=-612.62, y=57.96, z=561.37], EntityVillager['Villager'/585, l='MpServer', x=-612.11, y=58.06, z=556.25], EntityMinecartChest['Minecart with Chest'/466, l='MpServer', x=-567.50, y=18.06, z=519.51], EntityBat['Bat'/739, l='MpServer', x=-597.31, y=12.88, z=527.09], EntityChicken['Chicken'/499, l='MpServer', x=-587.13, y=64.00, z=567.45], EntityCow['Cow'/500, l='MpServer', x=-582.30, y=64.00, z=564.68], EntityCow['Cow'/501, l='MpServer', x=-583.61, y=64.00, z=567.16], EntityCow['Cow'/502, l='MpServer', x=-584.80, y=64.00, z=565.69], EntityChicken['Chicken'/504, l='MpServer', x=-584.48, y=64.00, z=567.23], EntityCow['Cow'/505, l='MpServer', x=-581.82, y=64.00, z=567.35], EntityItem['item.item.egg'/506, l='MpServer', x=-590.07, y=64.00, z=567.40], EntityCreeper['Creeper'/634, l='MpServer', x=-590.50, y=27.00, z=506.50], EntityCow['Cow'/507, l='MpServer', x=-595.19, y=64.00, z=567.09], EntityItem['item.item.egg'/508, l='MpServer', x=-579.92, y=64.00, z=567.08], EntityCow['Cow'/509, l='MpServer', x=-591.82, y=64.00, z=562.22], EntityCow['Cow'/510, l='MpServer', x=-582.60, y=64.00, z=567.53], EntityItem['item.item.egg'/511, l='MpServer', x=-586.72, y=64.00, z=565.49]]
  Retry entities: 0 total; []
  Server brand: fml,forge
  Server type: Integrated singleplayer server

-- System Details --
  Minecraft Version: 1.12.2
  Operating System: Windows 8.1 (amd64) version 6.3
  Java Version: 1.8.0_171, Oracle Corporation
  Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
  Memory: 1430020144 bytes (1363 MB) / 3554672640 bytes (3390 MB) up to 5160042496 bytes (4921 MB)
  JVM Flags: 4 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx5535m -Xms256m -XX:PermSize=256m
  IntCache: cache: 7, tcache: 0, allocated: 13, tallocated: 97
  FML: MCP 9.42 Powered by Forge 14.23.4.2707 152 mods loaded, 152 mods active
       States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
       
       | State | ID | Version | Source | Signature |
       |:--------- |:--------------------------------- |:---------------------------- |:--------------------------------------------------- |:---------------------------------------- |
       | UCHIJAAAA | minecraft | 1.12.2 | minecraft.jar | None |
       | UCHIJAAAA | mcp | 9.42 | minecraft.jar | None |
       | UCHIJAAAA | FML | 8.0.99.99 | forge-1.12.2-14.23.4.2707.jar | e3c3d50c7c986df74c645c0ac54639741c90a557 |
       | UCHIJAAAA | forge | 14.23.4.2707 | forge-1.12.2-14.23.4.2707.jar | e3c3d50c7c986df74c645c0ac54639741c90a557 |
       | UCHIJAAAA | foamfixcore | 7.7.4 | minecraft.jar | None |
       | UCHIJAAAA | simplebedrolls | 1.2.1 | [1.12]SimpleBedrolls-1.2.1.jar | None |
       | UCHIJAAAA | fastbench | 1.5.0 | FastWorkbench-1.12.2-1.5.0.jar | None |
       | UCHIJAAAA | actuallyadditions | 1.12.2-r135 | ActuallyAdditions-1.12.2-r135.jar | None |
       | UCHIJAAAA | baubles | 1.5.2 | Baubles-1.12-1.5.2.jar | None |
       | UCHIJAAAA | actuallybaubles | 1.1 | ActuallyBaubles-1.12-1.1.jar | None |
       | UCHIJAAAA | adventurepack | 1.5.0 | adventurepack-1.5.jar | None |
       | UCHIJAAAA | akashictome | 1.2-10 | AkashicTome-1.2-10.jar | None |
       | UCHIJAAAA | ctm | MC1.12-0.3.0.15 | CTM-MC1.12-0.3.0.15.jar | None |
       | UCHIJAAAA | chisel | MC1.12.2-0.2.0.31 | Chisel-MC1.12.2-0.2.0.31.jar | None |
       | UCHIJAAAA | endercore | 1.12.2-0.5.30 | EnderCore-1.12.2-0.5.30.jar | None |
       | UCHIJAAAA | jei | 4.9.2.196 | jei_1.12.2-4.9.2.196.jar | None |
       | UCHIJAAAA | thaumcraft | 6.1.BETA13 | Thaumcraft-1.12.2-6.1.BETA13.jar | None |
       | UCHIJAAAA | codechickenlib | 3.1.8.341 | CodeChickenLib-1.12.2-3.1.8.341-universal.jar | f1850c39b2516232a2108a7bd84d1cb5df93b261 |
       | UCHIJAAAA | redstoneflux | 2.0.2 | RedstoneFlux-1.12-2.0.2.3-universal.jar | 8a6abf2cb9e141b866580d369ba6548732eff25f |
       | UCHIJAAAA | cofhcore | 4.5.2 | CoFHCore-1.12.2-4.5.2.19-universal.jar | None |
       | UCHIJAAAA | cofhworld | 1.2.0 | CoFHWorld-1.12.2-1.2.0.5-universal.jar | 8a6abf2cb9e141b866580d369ba6548732eff25f |
       | UCHIJAAAA | thermalfoundation | 2.5.0 | ThermalFoundation-1.12.2-2.5.0.19-universal.jar | 8a6abf2cb9e141b866580d369ba6548732eff25f |
       | UCHIJAAAA | thermalexpansion | 5.5.0 | ThermalExpansion-1.12.2-5.5.0.29-universal.jar | 8a6abf2cb9e141b866580d369ba6548732eff25f |
       | UCHIJAAAA | enderio | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | enderiointegrationtic | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | mantle | 1.12-1.3.2.24 | Mantle-1.12-1.3.2.24.jar | None |
       | UCHIJAAAA | tconstruct | 1.12.2-2.10.1.84 | TConstruct-1.12.2-2.10.1.84.jar | None |
       | UCHIJAAAA | extrautils2 | 1.0 | extrautils2-1.12-1.7.6.jar | None |
       | UCHIJAAAA | flyringbaublemod | 0.3.1_1.12-d4e654e | angelRingToBauble-1.12-0.3.1.50+d4e654e.jar | None |
       | UCHIJAAAA | appleskin | 1.0.9 | AppleSkin-mc1.12-1.0.9.jar | None |
       | UCHIJAAAA | aroma1997core | 2.0.0.0.b154 | Aroma1997Core-1.12.2-2.0.0.0.b154.jar | dfbfe4c473253d8c5652417689848f650b2cbe32 |
       | UCHIJAAAA | aroma1997sdimension | 2.0.0.2.b69 | Aroma1997s-Dimensional-World-1.12.2-2.0.0.2.b69.jar | dfbfe4c473253d8c5652417689848f650b2cbe32 |
       | UCHIJAAAA | crafttweaker | 4.1.8 | CraftTweaker2-1.12-4.1.8.jar | None |
       | UCHIJAAAA | astralsorcery | 1.8.10 | astralsorcery-1.12.2-1.8.10.jar | a0f0b759d895c15ceb3e3bcb5f3c2db7c582edf0 |
       | UCHIJAAAA | morphtool | 1.2-16 | Morph-o-Tool-1.2-16.jar | None |
       | UCHIJAAAA | quark | r1.4-123 | Quark-r1.4-123.jar | None |
       | UCHIJAAAA | autoreglib | 1.3-17 | AutoRegLib-1.3-17.jar | None |
       | UCHIJAAAA | badwithernocookiereloaded | 1.12.2-2.12 | badwithernocookiereloaded-1.12.2-2.12.jar | None |
       | UCHIJAAAA | base | 3.7.2 | base-1.12.2-3.7.2.jar | None |
       | UCHIJAAAA | betterbuilderswands | 0.11.1 | BetterBuildersWands-1.12-0.11.1.245+69d0d70.jar | None |
       | UCHIJAAAA | biomesoplenty | 7.0.1.2384 | BiomesOPlenty-1.12.2-7.0.1.2384-universal.jar | None |
       | UCHIJAAAA | bookshelf | 2.3.549 | Bookshelf-1.12.2-2.3.549.jar | d476d1b22b218a10d845928d1665d45fce301b27 |
       | UCHIJAAAA | botania | r1.10-354 | Botania r1.10-354.jar | None |
       | UCHIJAAAA | ceramics | 1.12-1.3.4 | Ceramics-1.12-1.3.4.jar | None |
       | UCHIJAAAA | chameleon | 1.12-4.1.3 | Chameleon-1.12-4.1.3.jar | None |
       | UCHIJAAAA | clumps | 2.0.0 | Clumps-3.0.0.jar | None |
       | UCHIJAAAA | cyclopscore | 0.11.6 | CyclopsCore-1.12.2-0.11.6.jar | bd0353b3e8a2810d60dd584e256e364bc3bedd44 |
       | UCHIJAAAA | ic2 | 2.8.80-ex112 | industrialcraft-2-2.8.80-ex112.jar | de041f9f6187debbc77034a344134053277aa3b0 |
       | UCHIJAAAA | commoncapabilities | 1.4.0 | CommonCapabilities-1.12-1.4.0.jar | None |
       | UCHIJAAAA | conarm | 0.0.20-b | conarm-1.12.2-0.0.20-b.jar | 5d5b8aee896a4f5ea3f3114784742662a67ad32f |
       | UCHIJAAAA | controlling | 3.0.6 | Controlling-3.0.6.jar | None |
       | UCHIJAAAA | craftingtweaks | 8.1.9 | CraftingTweaks_1.12.2-8.1.9.jar | None |
       | UCHIJAAAA | ctgui | 1.0.0 | CraftTweaker2-1.12-4.1.8.jar | None |
       | UCHIJAAAA | crafttweakerjei | 2.0.2 | CraftTweaker2-1.12-4.1.8.jar | None |
       | UCHIJAAAA | custommainmenu | 2.0.8 | CustomMainMenu-MC1.12.2-2.0.8.jar | None |
       | UCHIJAAAA | waila | 1.8.26 | Hwyla-1.8.26-B41_1.12.2.jar | None |
       | UCHIJAAAA | p455w0rdslib | 2.0.29 | p455w0rdslib-1.12-2.0.29.jar | None |
       | UCHIJAAAA | stg | 1.12.2-1.2.3 | stg-1.12.2-1.2.3.jar | None |
       | UCHIJAAAA | danknull | 1.4.33 | DankNull-1.12-1.4.33.jar | None |
       | UCHIJAAAA | diethopper | 1.1 | diethopper-1.1.jar | None |
       | UCHIJAAAA | dismantler | 0.1.2 | dismantler-0.1.2.jar | None |
       | UCHIJAAAA | elevatorid | 1.3.6 | ElevatorMod-1.12.2-1.3.6.jar | None |
       | UCHIJAAAA | csb_ench_table | 1.1.3 | EnchantingTable-1.12-1.1.3.jar | None |
       | UCHIJAAAA | enderiobase | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | enderioconduits | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | enderioconduitsappliedenergistics | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | storagedrawers | 1.12-5.3.5 | StorageDrawers-1.12.2-5.3.6.jar | None |
       | UCHIJAAAA | refinedstorage | 1.5.34 | refinedstorage-1.5.34.jar | 57893d5b90a7336e8c63fe1c1e1ce472c3d59578 |
       | UCHIJAAAA | enderioconduitsopencomputers | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | enderioconduitsrefinedstorage | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | natura | 1.12.2-4.3.2.49 | natura-1.12.2-4.3.2.49.jar | None |
       | UCHIJAAAA | reborncore | 3.8.6.293 | RebornCore-1.12.2-3.8.6.293-universal.jar | 8727a3141c8ec7f173b87aa78b9b9807867c4e6b |
       | UCHIJAAAA | techreborn | 2.15.11.688 | TechReborn-1.12.2-2.15.11.688-universal.jar | 8727a3141c8ec7f173b87aa78b9b9807867c4e6b |
       | UCHIJAAAA | forestry | 5.8.0.295 | forestry_1.12.2-5.8.0.295.jar | None |
       | UCHIJAAAA | enderiointegrationforestry | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | enderiointegrationticlate | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | ftblib | 5.1.0.21 | FTBLib-5.1.0.21.jar | None |
       | UCHIJAAAA | enderiomachines | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | enderiopowertools | 5.0.26 | EnderIO-1.12.2-5.0.26.jar | None |
       | UCHIJAAAA | enderstorage | 2.4.3.130 | EnderStorage-1.12.2-2.4.3.130-universal.jar | f1850c39b2516232a2108a7bd84d1cb5df93b261 |
       | UCHIJAAAA | shetiphiancore | 3.5.6 | shetiphiancore-1.12.0-3.5.6.jar | None |
       | UCHIJAAAA | endertanks | 1.6.6 | endertanks-1.12.0-1.6.6.jar | None |
       | UCHIJAAAA | valkyrielib | 1.12.2-2.0.11a | valkyrielib-1.12.2-2.0.11a.jar | None |
       | UCHIJAAAA | environmentaltech | 1.12.2-2.0.11a | environmentaltech-1.12.2-2.0.11a.jar | None |
       | UCHIJAAAA | etlunar | 1.12.2-2.0.11a | etlunar-1.12.2-2.0.11a.jar | None |
       | UCHIJAAAA | shadowmc | 3.8.0 | ShadowMC-1.12-3.8.0.jar | None |
       | UCHIJAAAA | extrarails | 1.3.0 | ExtraRails-1.12-1.3.0.jar | None |
       | UCHIJAAAA | foamfix | 0.9.9.1-1.12.2 | foamfix-0.9.9.1-1.12.2-anarchy.jar | None |
       | UCHIJAAAA | forgelin | 1.6.0 | Forgelin-1.6.0.jar | None |
       | UCHIJAAAA | ftbutilities | 5.1.0.26 | FTBUtilities-5.1.0.26.jar | None |
       | UCHIJAAAA | fw | 1.6.0 | FullscreenWindowed-1.12-1.6.0.jar | None |
       | UCHIJAAAA | guideapi | 1.12-2.1.5-60 | Guide-API-1.12-2.1.5-60.jar | None |
       | UCHIJAAAA | immersiveengineering | 0.12-82 | ImmersiveEngineering-0.12-82.jar | 4cb49fcde3b43048c9889e0a3d083225da926334 |
       | UCHIJAAAA | immersivepetroleum | 1.1.9 | immersivepetroleum-1.12.2-1.1.9.jar | None |
       | UCHIJAAAA | mekanism | 1.12.2-9.4.10.345 | Mekanism-1.12.2-9.4.10.345.jar | None |
       | UCHIJAAAA | teslacorelib | 1.0.14 | tesla-core-lib-1.12.2-1.0.14.jar | d476d1b22b218a10d845928d1665d45fce301b27 |
       | UCHIJAAAA | industrialforegoing | 1.12.2-1.12.2 | industrialforegoing-1.12.2-1.10.0-173.jar | None |
       | UCHIJAAAA | industrialwires | 1.6-25 | IndustrialWires-1.6-25.jar | 7e11c175d1e24007afec7498a1616bef0000027d |
       | UCHIJAAAA | mtlib | 3.0.5 | MTLib-3.0.5.jar | None |
       | UCHIJAAAA | initialinventory | 2.0.2 | InitialInventory-3.0.0.jar | None |
       | UCHIJAAAA | integrateddynamics | 0.11.12 | IntegratedDynamics-1.12.2-0.11.12.jar | bd0353b3e8a2810d60dd584e256e364bc3bedd44 |
       | UCHIJAAAA | integrateddynamicscompat | 1.0.0 | IntegratedDynamics-1.12.2-0.11.12.jar | None |
       | UCHIJAAAA | integratedtunnels | 1.5.6 | IntegratedTunnels-1.12.2-1.5.6.jar | bd0353b3e8a2810d60dd584e256e364bc3bedd44 |
       | UCHIJAAAA | integratedtunnelscompat | 1.0.0 | IntegratedTunnels-1.12.2-1.5.6.jar | None |
       | UCHIJAAAA | integrationforegoing | 1.12-1.6 | IntegrationForegoing-1.12.2-1.6.jar | 4ffa87db52cf086d00ecc4853a929367b1c39b5c |
       | UCHIJAAAA | inventorytweaks | 1.64-dev+release.110.b4fac73 | InventoryTweaks-1.64-dev.jar | 55d2cd4f5f0961410bf7b91ef6c6bf00a766dcbe |
       | UCHIJAAAA | ironbackpacks | 1.12.2-3.0.8-12 | IronBackpacks-1.12.2-3.0.8-12.jar | None |
       | UCHIJAAAA | ironchest | 1.12.2-7.0.42.827 | ironchest-1.12.2-7.0.42.827.jar | None |
       | UCHIJAAAA | itemscroller | 0.11.0 | itemscroller-1.12.0-0.11.0.jar | None |
       | UCHIJAAAA | jeibees | 0.9.0.5 | jeibees-0.9.0.5-mc1.12.2.jar | None |
       | UCHIJAAAA | jeiintegration | 1.5.1.36 | jeiintegration_1.12.2-1.5.1.36.jar | None |
       | UCHIJAAAA | journeymap | 1.12.2-5.5.2 | journeymap-1.12.2-5.5.2.jar | None |
       | UCHIJAAAA | jeresources | 0.8.7.41 | JustEnoughResources-1.12.2-0.8.7.41.jar | None |
       | UCHIJAAAA | llor | 1.1.6-mc1.12.2 | LLOverlayReloaded-1.1.6-mc1.12.2.jar | None |
       | UCHIJAAAA | mcjtylib_ng | 3.0.0-alpha | mcjtylib-1.12-3.0.0-alpha.jar | None |
       | UCHIJAAAA | mekanismgenerators | 9.4.10 | MekanismGenerators-1.12.2-9.4.10.345.jar | None |
       | UCHIJAAAA | mekanismtools | 9.4.10 | MekanismTools-1.12.2-9.4.10.345.jar | None |
       | UCHIJAAAA | netherportalfix | 5.3.13 | NetherPortalFix_1.12.1-5.3.13.jar | None |
       | UCHIJAAAA | oreexcavation | 1.4.118 | OreExcavation-1.4.118.jar | None |
       | UCHIJAAAA | oeintegration | 2.3.3 | oeintegration-2.3.3.jar | None |
       | UCHIJAAAA | oldjava | 1.0.2 | OldJavaWarning-1.12.2-1.0.2.jar | d476d1b22b218a10d845928d1665d45fce301b27 |
       | UCHIJAAAA | openglider | @VERSION@ | OpenGlider-1.12.1-1.1.0.jar | None |
       | UCHIJAAAA | placebo | 1.3.4 | Placebo-1.12.2-1.3.4.jar | None |
       | UCHIJAAAA | quickleafdecay | 1.2.4 | QuickLeafDecay-MC1.12.1-1.2.4.jar | None |
       | UCHIJAAAA | rangedpumps | 0.5 | rangedpumps-0.5.jar | None |
       | UCHIJAAAA | rebornstorage | 1.0.0 | RebornStorage-1.12.2-3.1.0.50.jar | None |
       | UCHIJAAAA | refinedstorageaddons | 0.3 | refinedstorageaddons-0.3.jar | None |
       | UCHIJAAAA | xreliquary | 1.12.2-1.3.4.763 | Reliquary-1.12.2-1.3.4.763.jar | None |
       | UCHIJAAAA | resourceloader | 1.5.3 | ResourceLoader-MC1.12.1-1.5.3.jar | d72e0dd57935b3e9476212aea0c0df352dd76291 |
       | UCHIJAAAA | rftoolspower | 1.1.0-alpha | rftoolspower-1.12-1.1.0-alpha.jar | None |
       | UCHIJAAAA | silentlib | 2.3.1 | SilentLib-1.12.2-2.3.1-107.jar | None |
       | UCHIJAAAA | silentgems | 2.7.2 | SilentsGems-1.12.2-2.7.2b-270.jar | None |
       | UCHIJAAAA | sgextraparts | 1.4.1 | SGExtraParts-1.12-1.4.1-34.jar | None |
       | UCHIJAAAA | soulshardstow | 1.12-2.7.6-56 | SoulShards-TOW-1.12-2.7.6-56.jar | None |
       | UCHIJAAAA | thaumicjei | 1.2.1 | ThaumicJEI-1.12.2-1.3.1-12.jar | None |
       | UCHIJAAAA | thermalcultivation | 0.3.0 | ThermalCultivation-1.12.2-0.3.0.7-universal.jar | 8a6abf2cb9e141b866580d369ba6548732eff25f |
       | UCHIJAAAA | thermaldynamics | 2.5.1 | ThermalDynamics-1.12.2-2.5.1.14-universal.jar | 8a6abf2cb9e141b866580d369ba6548732eff25f |
       | UCHIJAAAA | tinkersaddons | 1.0.7 | Tinkers' Addons-1.12.1-1.0.7.jar | None |
       | UCHIJAAAA | tinkertoolleveling | 1.12.2-1.0.5.DEV.30c7957 | TinkerToolLeveling-1.12.2-1.0.5.jar | None |
       | UCHIJAAAA | toastcontrol | 1.6.0 | Toast Control-1.12.2-1.6.0.jar | None |
       | UCHIJAAAA | tombmanygraves2api | 1.12.2-1.0.0 | tombmanygraves2api-1.12.2-1.0.0.jar | None |
       | UCHIJAAAA | tombmanygraves | 1.12-4.1.0 | TombManyGraves-1.12-4.1.0.jar | None |
       | UCHIJAAAA | toolbelt | 1.7.1 | Tool-Belt-Mod-1.12.1.jar | None |
       | UCHIJAAAA | torchmaster | 1.6.4.62 | torchmaster_1.12.2-1.6.4.62.jar | 5e9a436b366831c8f54a7e80b015784da69278c6 |
       | UCHIJAAAA | traverse | 1.5.3 | Traverse-1.12.2-1.5.3-58.jar | None |
       | UCHIJAAAA | twilightforest | 3.7.424 | Twilight-Forest-1.12.jar | None |
       | UCHIJAAAA | universalmodifiers | 1.12.2-1.0.9a | valkyrielib-1.12.2-2.0.11a.jar | None |
       | UCHIJAAAA | vanillafix | 1.0.8+88 | VanillaFix-1.0.8-88.jar | None |
       | UCHIJAAAA | waim | 1.0.0 | WAIM-1.0.0.jar | None |
       | UCHIJAAAA | waystones | 4.0.43 | Waystones_1.12.2-4.0.43.jar | None |
       | UCHIJAAAA | reauth | 3.6.0 | reauth-3.6.0.jar | daba0ec4df71b6da841768c49fb873def208a1e3 |
       | UCHIJAAAA | teslacorelib_registries | 1.0.14 | tesla-core-lib-1.12.2-1.0.14.jar | None |
  Loaded coremods (and transformers): AstralCore (astralsorcery-1.12.2-1.8.10.jar)
                                        
                                      BedPatch (bedpatch-2.2-1.12.2.jar)
                                        com.mordenkainen.bedpatch.BedPatchASM
                                      CTMCorePlugin (CTM-MC1.12-0.3.0.15.jar)
                                        team.chisel.ctm.client.asm.CTMTransformer
                                      CoreMod (Aroma1997Core-1.12.2-2.0.0.0.b154.jar)
                                        
                                      LoadingPlugin (Quark-r1.4-123.jar)
                                        vazkii.quark.base.asm.ClassTransformer
                                      Do not report to Forge! Remove FoamFixAPI (or replace with FoamFixAPI-Lawful) and try again. (foamfix-0.9.9.1-1.12.2-anarchy.jar)
                                        pl.asie.foamfix.coremod.FoamFixTransformer
                                      VanillaFixLoadingPlugin (VanillaFix-1.0.8-88.jar)
                                        
                                      EnderCorePlugin (EnderCore-1.12.2-0.5.30.jar)
                                        com.enderio.core.common.transform.EnderCoreTransformer
                                        com.enderio.core.common.transform.SimpleMixinPatcher
                                      ShetiPhian-ASM (shetiphiancore-1.12.0-3.5.6.jar)
                                        shetiphian.asm.ClassTransformer
                                      Inventory Tweaks Coremod (InventoryTweaks-1.64-dev.jar)
                                        invtweaks.forge.asm.ContainerTransformer
                                      ForgelinPlugin (Forgelin-1.6.0.jar)
                                        
                                      IELoadingPlugin (ImmersiveEngineering-core-0.12-82.jar)
                                        blusunrize.immersiveengineering.common.asm.IEClassTransformer
                                      LoadingPlugin (ResourceLoader-MC1.12.1-1.5.3.jar)
                                        lumien.resourceloader.asm.ClassTransformer
  GL info: ' Vendor: 'NVIDIA Corporation' Version: '4.6.0 NVIDIA 391.35' Renderer: 'GeForce GTX 660/PCIe/SSE2'
  Pulsar/tconstruct loaded Pulses: - TinkerCommons (Enabled/Forced)
                                   - TinkerWorld (Enabled/Not Forced)
                                   - TinkerTools (Enabled/Not Forced)
                                   - TinkerHarvestTools (Enabled/Forced)
                                   - TinkerMeleeWeapons (Enabled/Forced)
                                   - TinkerRangedWeapons (Enabled/Forced)
                                   - TinkerModifiers (Enabled/Forced)
                                   - TinkerSmeltery (Enabled/Not Forced)
                                   - TinkerGadgets (Enabled/Not Forced)
                                   - TinkerOredict (Enabled/Forced)
                                   - TinkerIntegration (Enabled/Forced)
                                   - TinkerFluids (Enabled/Forced)
                                   - TinkerMaterials (Enabled/Forced)
                                   - TinkerModelRegister (Enabled/Forced)
                                   - chiselIntegration (Enabled/Not Forced)
                                   - craftingtweaksIntegration (Enabled/Not Forced)
                                   - wailaIntegration (Enabled/Not Forced)
  Pulsar/natura loaded Pulses: - NaturaCommons (Enabled/Forced)
                               - NaturaOverworld (Enabled/Not Forced)
                               - NaturaNether (Enabled/Not Forced)
                               - NaturaDecorative (Enabled/Not Forced)
                               - NaturaTools (Enabled/Not Forced)
                               - NaturaEntities (Enabled/Not Forced)
                               - NaturaOredict (Enabled/Forced)
                               - NaturaWorld (Enabled/Not Forced)
                               - craftingtweaksIntegration (Enabled/Not Forced)
  RebornCore: Plugin Engine: 0
              RebornCore Version: 3.8.6.293
              Runtime Debofucsation 1
              RenderEngine: 0
  Ender IO: No known problems detected.
            
            !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
            !!!You are looking at the diagnostics information, not at the crash. !!!
            !!!Scroll up until you see the line with '---- Minecraft Crash Report ----'!!!
            !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  Suspected Mods: Just Enough Items (jei)
  Launched Version: forge-14.23.4.2707
  LWJGL: 2.9.4
  OpenGL: GeForce GTX 660/PCIe/SSE2 GL version 4.6.0 NVIDIA 391.35, NVIDIA Corporation
  GL Caps: Using GL 1.3 multitexturing.
           Using GL 1.3 texture combiners.
           Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
           Shaders are available because OpenGL 2.1 is supported.
           VBOs are available because OpenGL 1.5 is supported.
  Using VBOs: Yes
  Is Modded: Definitely; Client brand changed to 'fml,forge'
  Type: Client (map_client.txt)
  Resource Packs: DragonPack1.12
  Current Language: English (US)
  Profiler Position: N/A (disabled)
  CPU: 4x Intel(R) Core(TM)2 Quad CPU Q6600 @ 2.40GHz
  Client Crashes Since Restart: 1
  Integrated Server Crashes Since Restart: 0
TagsNo tags attached.
Minecraft Version1.12

Activities

Chocohead

2018-06-14 00:51

developer   ~0005694

This crash is due to another mod injecting code that is crashing, thus there isn't anything that we can do to help you.

I suggest removing the mods in the "Loaded coremods (and transformers)" section and seeing if that corrects it to narrow down the possible mods doing the injection. If you're still crashing having removed those you'll have to try removing half the mods and seeing if it crashes, then repeating the process halving each crashing set each time to get to the root cause.

Alternatively you could try this: https://asie.pl/files/mods/EnvironmentChecker/environmentchecker-0.1.2.jar It will log the changes made to every class as they load, of which probably most important is the changes to RenderItem. The results will be in the asmTransformerChanges.txt file within the envcheck folder it will create.

dragonmatt5

2018-06-16 02:58

reporter   ~0005704

Ok. I used the checker and got the txt file, though I can't find the instance mentioned in it of the fluid cell. I don't really why the crash reporter would mention it being because of industrialcraft or know how to utilize the data there though, so I am including the txt file here.

asmTransformerChanges.txt (44,718 bytes)
===
Classes changed (by changing transformer):
===

- guichaguri.betterfps.transformers.MathTransformer (161.283 ms)
	- net.minecraft.util.math.MathHelper (3.553 ms)
		- Field ADD: BF_SIN_BITS I
		- Field ADD: BF_SIN_COUNT I
		- Field ADD: BF_SIN_COUNT2 I
		- Field ADD: BF_SIN_MASK I
		- Field ADD: BF_SIN_MASK2 I
		- Field ADD: BF_SIN_TO_COS F
		- Field ADD: BF_radFull F
		- Field ADD: BF_radToIndex F
		- Field ADD: BF_sinHalf [F
		- Method ADD: <init> ()V
		- Method ADD: init_BetterFps ()V
		- Method CHG: <clinit> ()V
		- Method CHG: func_76126_a (F)F
		- Method CHG: func_76134_b (F)F
- lumien.resourceloader.asm.ClassTransformer (52.864 ms)
	- net.minecraft.client.Minecraft (16.881 ms)
		- Method CHG: func_110436_a ()V
- org.spongepowered.asm.mixin.transformer.Proxy (50.264 ms)
- invtweaks.forge.asm.ITAccessTransformer (23.693 ms)
	- net.minecraft.client.gui.GuiScreen (2.884 ms)
	- net.minecraft.client.gui.inventory.GuiContainer (1.354 ms)
	- net.minecraft.client.gui.inventory.GuiCrafting (0.307 ms)
	- net.minecraft.client.gui.inventory.GuiInventory (0.801 ms)
	- net.minecraft.client.settings.KeyBinding (0.513 ms)
	- net.minecraft.inventory.ContainerHorseInventory (0.162 ms)
- vazkii.quark.base.asm.ClassTransformer (203.966 ms)
	- net.minecraft.block.BlockPistonBase (11.691 ms)
		- Method CHG: func_176319_a (Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;Z)Z
		- Method CHG: func_185646_a (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;ZLnet/minecraft/util/EnumFacing;)Z
	- net.minecraft.client.model.ModelBiped (6.265 ms)
		- Method CHG: func_78087_a (FFFFFFLnet/minecraft/entity/Entity;)V
	- net.minecraft.client.renderer.BlockModelRenderer (20.25 ms)
		- Method CHG: func_187496_a (Lnet/minecraft/world/IBlockAccess;Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/util/math/BlockPos;IZLnet/minecraft/client/renderer/BufferBuilder;Ljava/util/List;Ljava/util/BitSet;)V
	- net.minecraft.client.renderer.RenderItem (17.416 ms)
		- Method CHG: func_180454_a (Lnet/minecraft/item/ItemStack;Lnet/minecraft/client/renderer/block/model/IBakedModel;)V
		- Method CHG: func_191966_a (Lnet/minecraft/client/renderer/block/model/IBakedModel;)V
	- net.minecraft.client.renderer.entity.RenderBoat (4.037 ms)
		- Method CHG: func_188300_b (Lnet/minecraft/entity/item/EntityBoat;DDDFF)V
	- net.minecraft.client.renderer.entity.layers.LayerArmorBase (8.976 ms)
		- Method CHG: func_188361_a (Lnet/minecraft/entity/EntityLivingBase;FFFFFFFLnet/minecraft/inventory/EntityEquipmentSlot;)V
		- Method CHG: func_188364_a (Lnet/minecraft/client/renderer/entity/RenderLivingBase;Lnet/minecraft/entity/EntityLivingBase;Lnet/minecraft/client/model/ModelBase;FFFFFFF)V
	- net.minecraft.client.renderer.tileentity.TileEntityPistonRenderer (3.862 ms)
		- Method CHG: func_188186_a (Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/client/renderer/BufferBuilder;Lnet/minecraft/world/World;Z)Z
	- net.minecraft.entity.item.EntityBoat (13.503 ms)
		- Method CHG: func_70071_h_ ()V
		- Method CHG: func_70097_a (Lnet/minecraft/util/DamageSource;F)Z
	- net.minecraft.inventory.ContainerWorkbench (18.984 ms)
		- Method CHG: func_82846_b (Lnet/minecraft/entity/player/EntityPlayer;I)Lnet/minecraft/item/ItemStack;
	- net.minecraft.tileentity.TileEntityPiston (12.162 ms)
		- Method CHG: func_145866_f ()V
		- Method CHG: func_73660_a ()V
	- net.minecraft.world.WorldServer (29.873 ms)
		- Method CHG: func_73056_e ()Z
- blusunrize.immersiveengineering.common.asm.IEClassTransformer (71 ms)
	- net.minecraft.client.model.ModelBiped (0.965 ms)
		- Method CHG: func_78087_a (FFFFFFLnet/minecraft/entity/Entity;)V
	- net.minecraft.entity.Entity (12.577 ms)
		- Method CHG: func_145775_I ()V
- invtweaks.forge.asm.ContainerTransformer (2335.349 ms)
	- com.raoulvdberge.refinedstorage.container.ContainerBase (0.708 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- cpw.mods.ironchest.common.gui.chest.ContainerIronChest (0.369 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- cpw.mods.ironchest.common.gui.shulker.ContainerIronShulkerBox (0.284 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- forestry.core.gui.ContainerForestry (0.568 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- invtweaks.InvTweaksObfuscation (3.546 ms)
		- Method CHG: getContainerSlotMap (Lnet/minecraft/inventory/Container;)Ljava/util/Map;
		- Method CHG: getSpecialChestRowSize (Lnet/minecraft/inventory/Container;)I
		- Method CHG: isLargeChest (Lnet/minecraft/inventory/Container;)Z
		- Method CHG: isValidChest (Lnet/minecraft/inventory/Container;)Z
		- Method CHG: isValidInventory (Lnet/minecraft/inventory/Container;)Z
		- Method CHG: showButtons (Lnet/minecraft/inventory/Container;)Z
	- mekanism.common.inventory.container.ContainerPersonalChest (0.561 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.client.gui.GuiTextField (4.889 ms)
		- Method CHG: func_146195_b (Z)V
	- net.minecraft.inventory.Container (4.917 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerBrewingStand (0.413 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerChest (1.49 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerDispenser (0.35 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerFurnace (0.474 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerHopper (0.256 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerHorseInventory (1.476 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerMerchant (0.313 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerPlayer (0.555 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerRepair (1.214 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerShulkerBox (0.256 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- net.minecraft.inventory.ContainerWorkbench (2.829 ms)
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- com.enderio.core.common.transform.EnderCoreTransformer (63.153 ms)
	- net.minecraft.client.renderer.RenderItem (5.967 ms)
		- Method CHG: func_180453_a (Lnet/minecraft/client/gui/FontRenderer;Lnet/minecraft/item/ItemStack;IILjava/lang/String;)V
		- Method CHG: func_184391_a (Lnet/minecraft/entity/EntityLivingBase;Lnet/minecraft/item/ItemStack;II)V
	- net.minecraft.entity.ai.EntityAICreeperSwell (2.57 ms)
		- Method CHG: func_75246_d ()V
	- net.minecraft.entity.player.EntityPlayer (2.617 ms)
		- Method ADD: func_184613_cA ()Z
	- net.minecraft.inventory.ContainerFurnace (1.151 ms)
		- Method CHG: func_82846_b (Lnet/minecraft/entity/player/EntityPlayer;I)Lnet/minecraft/item/ItemStack;
	- net.minecraft.world.chunk.storage.ExtendedBlockStorage (1.33 ms)
		- Method CHG: func_76663_a ()Z
- team.chisel.ctm.client.asm.CTMTransformer (111.496 ms)
	- net.minecraft.block.Block (14.694 ms)
		- Method CHG: canRenderInLayer (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/util/BlockRenderLayer;)Z
		- Method CHG: getExtendedState (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/IBlockAccess;Lnet/minecraft/util/math/BlockPos;)Lnet/minecraft/block/state/IBlockState;
	- net.minecraft.client.renderer.texture.TextureMap (6.427 ms)
		- Method CHG: func_174942_a (Lnet/minecraft/util/ResourceLocation;)Lnet/minecraft/client/renderer/texture/TextureAtlasSprite;
	- net.minecraftforge.client.ForgeHooksClient (11.075 ms)
		- Method CHG: getDamageModel (Lnet/minecraft/client/renderer/block/model/IBakedModel;Lnet/minecraft/client/renderer/texture/TextureAtlasSprite;Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/IBlockAccess;Lnet/minecraft/util/math/BlockPos;)Lnet/minecraft/client/renderer/block/model/IBakedModel;
	- net.minecraftforge.client.model.ModelLoader$VanillaModelWrapper (2.894 ms)
		- Method CHG: getTextures ()Ljava/util/Collection;
- pl.asie.foamfix.coremod.FoamFixAT (48.507 ms)
	- net.minecraft.client.renderer.texture.TextureAtlasSprite (0.601 ms)
		- Method CHG: func_94219_l ()V
	- net.minecraft.client.renderer.texture.TextureUtil (0.508 ms)
	- net.minecraft.tileentity.TileEntityHopper (0.755 ms)
		- Method CHG: func_145883_k ()Z
		- Method CHG: func_145887_i ()Z
		- Method CHG: func_191420_l ()Z
	- net.minecraft.util.ClassInheritanceMultiMap (0.219 ms)
	- net.minecraft.util.text.Style (1.071 ms)
- com.enderio.core.common.transform.SimpleMixinPatcher (43.89 ms)
- shetiphian.asm.ClassTransformer (89.631 ms)
	- net.minecraft.entity.Entity (28.624 ms)
		- Method CHG: func_174808_Z ()V
- hellfirepvp.astralsorcery.core.AstralTransformer (108.723 ms)
	- net.minecraft.enchantment.EnchantmentHelper (3.309 ms)
		- Method CHG: func_77506_a (Lnet/minecraft/enchantment/Enchantment;Lnet/minecraft/item/ItemStack;)I
		- Method CHG: func_77518_a (Lnet/minecraft/enchantment/EnchantmentHelper$IModifier;Lnet/minecraft/item/ItemStack;)V
		- Method CHG: func_82781_a (Lnet/minecraft/item/ItemStack;)Ljava/util/Map;
	- net.minecraft.entity.EntityLivingBase (6.606 ms)
		- Method CHG: func_184616_r ()V
		- Method CHG: func_70653_a (Lnet/minecraft/entity/Entity;FDD)V
	- net.minecraft.item.ItemStack (3.795 ms)
		- Method CHG: func_82840_a (Lnet/minecraft/entity/player/EntityPlayer;Lnet/minecraft/client/util/ITooltipFlag;)Ljava/util/List;
	- net.minecraft.world.chunk.Chunk (4.472 ms)
		- Method CHG: func_177436_a (Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/state/IBlockState;)Lnet/minecraft/block/state/IBlockState;
- pl.asie.foamfix.coremod.FoamFixTransformer (6988.419 ms)
	- com.buuz135.thaumicjei.ThaumcraftJEIPlugin (0.684 ms)
	- crafttweaker.runtime.CrTTweaker (0.379 ms)
	- journeymap.client.task.multi.BaseMapTask (0.301 ms)
	- journeymap.client.ui.component.Button (0.729 ms)
	- kotlin.reflect.jvm.internal.impl.serialization.deserialization.descriptors.DeserializedClassDescriptor$EnumEntryClassDescriptors (0.234 ms)
	- mekanism.common.Mekanism (2.07 ms)
	- net.minecraft.block.BlockBed (3.32 ms)
		- Method ADD: neighborChanged_foamfix_old (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/Block;Lnet/minecraft/util/math/BlockPos;)V
		- Method CHG: func_189540_a (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/Block;Lnet/minecraft/util/math/BlockPos;)V
	- net.minecraft.block.BlockHopper (4.649 ms)
		- Method CHG: func_149915_a (Lnet/minecraft/world/World;I)Lnet/minecraft/tileentity/TileEntity;
	- net.minecraft.block.properties.PropertyBool (4.815 ms)
		- Method ADD: equals_foamfix_old (Ljava/lang/Object;)Z
		- Method ADD: hashCode_foamfix_old ()I
		- Method CHG: equals (Ljava/lang/Object;)Z
		- Method CHG: hashCode ()I
	- net.minecraft.block.properties.PropertyEnum (4.4 ms)
		- Field ADD: foamfix_hashCode I
		- Field ADD: foamfix_hashCode_calced Z
		- Method ADD: equals_foamfix_old (Ljava/lang/Object;)Z
		- Method ADD: hashCode_foamfix_old ()I
		- Method CHG: equals (Ljava/lang/Object;)Z
		- Method CHG: hashCode ()I
	- net.minecraft.block.properties.PropertyInteger (1.78 ms)
		- Field ADD: foamfix_hashCode I
		- Field ADD: foamfix_hashCode_calced Z
		- Method ADD: hashCode_foamfix_old ()I
		- Method CHG: hashCode ()I
	- net.minecraft.block.state.BlockStateContainer (2.455 ms)
		- Method ADD: createState_foamfix_old (Lnet/minecraft/block/Block;Lcom/google/common/collect/ImmutableMap;Lcom/google/common/collect/ImmutableMap;)Lnet/minecraft/block/state/BlockStateContainer$StateImplementation;
		- Method CHG: createState (Lnet/minecraft/block/Block;Lcom/google/common/collect/ImmutableMap;Lcom/google/common/collect/ImmutableMap;)Lnet/minecraft/block/state/BlockStateContainer$StateImplementation;
	- net.minecraft.client.renderer.texture.TextureAtlasSprite (6.724 ms)
		- Method CHG: func_176604_a (Lnet/minecraft/util/ResourceLocation;)Lnet/minecraft/client/renderer/texture/TextureAtlasSprite;
	- net.minecraft.client.renderer.texture.TextureMap (5.41 ms)
		- Method CHG: func_94248_c ()V
	- net.minecraft.client.util.SearchTreeManager (2.117 ms)
		- Method ADD: onResourceManagerReload_foamfix_old (Lnet/minecraft/client/resources/IResourceManager;)V
		- Method CHG: func_110549_a (Lnet/minecraft/client/resources/IResourceManager;)V
	- net.minecraft.tileentity.TileEntity (10 ms)
		- Method ADD: getKey_foamfix_old (Ljava/lang/Class;)Lnet/minecraft/util/ResourceLocation;
		- Method CHG: func_190559_a (Ljava/lang/Class;)Lnet/minecraft/util/ResourceLocation;
	- net.minecraft.util.math.BlockPos$2$1 (1.15 ms)
		- Method CHG: computeNext ()Lnet/minecraft/util/math/BlockPos$MutableBlockPos;
	- net.minecraft.util.math.BlockPos$MutableBlockPos (0.246 ms)
		- Field DEL: field_177996_d I
		- Field DEL: field_177997_b I
		- Field DEL: field_177998_c I
		- Method DEL: func_177952_p ()I
		- Method DEL: func_177956_o ()I
		- Method DEL: func_177958_n ()I
		- Method CHG: <init> (III)V
		- Method CHG: func_181079_c (III)Lnet/minecraft/util/math/BlockPos$MutableBlockPos;
		- Method CHG: func_185336_p (I)V
		- Method CHG: func_189534_c (Lnet/minecraft/util/EnumFacing;I)Lnet/minecraft/util/math/BlockPos$MutableBlockPos;
	- net.minecraft.util.math.Vec3i (0.56 ms)
	- net.minecraft.world.World (24.533 ms)
		- Method ADD: foamfix_removeUnloadedEntities ()V
	- net.minecraft.world.WorldServer (8.717 ms)
		- Method CHG: func_72939_s ()V
	- net.minecraft.world.chunk.Chunk (16.015 ms)
		- Method CHG: <init> (Lnet/minecraft/world/World;II)V
	- net.minecraftforge.client.model.ItemLayerModel (2.672 ms)
		- Method ADD: bake_foamfix_old (Lnet/minecraftforge/common/model/IModelState;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;)Lnet/minecraft/client/renderer/block/model/IBakedModel;
		- Method CHG: bake (Lnet/minecraftforge/common/model/IModelState;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;)Lnet/minecraft/client/renderer/block/model/IBakedModel;
	- net.minecraftforge.client.model.ModelLoader$VanillaModelWrapper (3.978 ms)
		- Method ADD: bakeNormal_foamfix_old (Lnet/minecraft/client/renderer/block/model/ModelBlock;Lnet/minecraftforge/common/model/IModelState;Lnet/minecraftforge/common/model/IModelState;Ljava/util/List;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;Z)Lnet/minecraft/client/renderer/block/model/IBakedModel;
		- Method CHG: bakeNormal (Lnet/minecraft/client/renderer/block/model/ModelBlock;Lnet/minecraftforge/common/model/IModelState;Lnet/minecraftforge/common/model/IModelState;Ljava/util/List;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;Z)Lnet/minecraft/client/renderer/block/model/IBakedModel;
	- net.minecraftforge.common.property.ExtendedBlockState (2.706 ms)
		- Method ADD: createState_foamfix_old (Lnet/minecraft/block/Block;Lcom/google/common/collect/ImmutableMap;Lcom/google/common/collect/ImmutableMap;)Lnet/minecraft/block/state/BlockStateContainer$StateImplementation;
		- Method CHG: createState (Lnet/minecraft/block/Block;Lcom/google/common/collect/ImmutableMap;Lcom/google/common/collect/ImmutableMap;)Lnet/minecraft/block/state/BlockStateContainer$StateImplementation;
	- oreexcavation.client.GuiEditShapes (0.264 ms)
	- thaumcraft.client.lib.events.ShaderHandler (0.13 ms)
- guichaguri.betterfps.transformers.PatcherTransformer (1331.709 ms)
	- net.minecraft.block.Block (14.289 ms)
	- net.minecraft.block.BlockHopper (2.119 ms)
		- Method ADD: a_BetterFps (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/Block;Lnet/minecraft/util/math/BlockPos;)V
		- Method CHG: func_189540_a (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/Block;Lnet/minecraft/util/math/BlockPos;)V
	- net.minecraft.client.Minecraft (155.6 ms)
		- Method ADD: aq_BetterFps ()V
		- Method CHG: func_71384_a ()V
	- net.minecraft.client.entity.EntityPlayerSP (5.762 ms)
		- Method ADD: func_70065_x ()V
	- net.minecraft.client.gui.GuiOptions (3.758 ms)
		- Method ADD: a_BetterFps (Lnet/minecraft/client/gui/GuiButton;)V
		- Method ADD: func_146280_a (Lnet/minecraft/client/Minecraft;II)V
		- Method ADD: hasButtonInPosition (III)Z
		- Method CHG: func_146284_a (Lnet/minecraft/client/gui/GuiButton;)V
	- net.minecraft.client.renderer.EntityRenderer (18.34 ms)
	- net.minecraft.tileentity.TileEntityBeacon (6.798 ms)
		- Field ADD: tickCount I
		- Method ADD: updateActivation (III)V
		- Method ADD: updateGlassLayers (III)V
		- Method ADD: updateLevels (III)V
		- Method CHG: func_146000_x ()V
		- Method CHG: func_146003_y ()V
		- Method CHG: func_73660_a ()V
	- net.minecraft.tileentity.TileEntityHopper (7.682 ms)
		- Field ADD: fastHopperUpdate I
		- Field ADD: isPickingUpItems Z
		- Method ADD: canPickupItems ()Z
		- Method ADD: canPickupItems (Lnet/minecraft/tileentity/IHopper;)Z
		- Method ADD: func_145836_u ()V
		- Method ADD: o_BetterFps ()Z
		- Method ADD: updateFastHopper ()V
		- Method CHG: func_145887_i ()Z
		- Method CHG: func_145891_a (Lnet/minecraft/tileentity/IHopper;)Z
- com.mordenkainen.bedpatch.BedPatchASM (100.43 ms)
	- net.minecraft.world.chunk.Chunk (32.201 ms)
		- Method CHG: func_76623_d ()V


===
Classes changed (by changed class):
===

- com.buuz135.thaumicjei.ThaumcraftJEIPlugin
	- pl.asie.foamfix.coremod.FoamFixTransformer
- com.raoulvdberge.refinedstorage.container.ContainerBase
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- cpw.mods.ironchest.common.gui.chest.ContainerIronChest
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- cpw.mods.ironchest.common.gui.shulker.ContainerIronShulkerBox
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- crafttweaker.runtime.CrTTweaker
	- pl.asie.foamfix.coremod.FoamFixTransformer
- forestry.core.gui.ContainerForestry
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- invtweaks.InvTweaksObfuscation
	- invtweaks.forge.asm.ContainerTransformer
		- Method CHG: getContainerSlotMap (Lnet/minecraft/inventory/Container;)Ljava/util/Map;
		- Method CHG: getSpecialChestRowSize (Lnet/minecraft/inventory/Container;)I
		- Method CHG: isLargeChest (Lnet/minecraft/inventory/Container;)Z
		- Method CHG: isValidChest (Lnet/minecraft/inventory/Container;)Z
		- Method CHG: isValidInventory (Lnet/minecraft/inventory/Container;)Z
		- Method CHG: showButtons (Lnet/minecraft/inventory/Container;)Z
- journeymap.client.task.multi.BaseMapTask
	- pl.asie.foamfix.coremod.FoamFixTransformer
- journeymap.client.ui.component.Button
	- pl.asie.foamfix.coremod.FoamFixTransformer
- kotlin.reflect.jvm.internal.impl.serialization.deserialization.descriptors.DeserializedClassDescriptor$EnumEntryClassDescriptors
	- pl.asie.foamfix.coremod.FoamFixTransformer
- mekanism.common.Mekanism
	- pl.asie.foamfix.coremod.FoamFixTransformer
- mekanism.common.inventory.container.ContainerPersonalChest
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.block.Block
	- guichaguri.betterfps.transformers.PatcherTransformer
	- team.chisel.ctm.client.asm.CTMTransformer
		- Method CHG: canRenderInLayer (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/util/BlockRenderLayer;)Z
		- Method CHG: getExtendedState (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/IBlockAccess;Lnet/minecraft/util/math/BlockPos;)Lnet/minecraft/block/state/IBlockState;
- net.minecraft.block.BlockBed
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: neighborChanged_foamfix_old (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/Block;Lnet/minecraft/util/math/BlockPos;)V
		- Method CHG: func_189540_a (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/Block;Lnet/minecraft/util/math/BlockPos;)V
- net.minecraft.block.BlockHopper
	- guichaguri.betterfps.transformers.PatcherTransformer
		- Method ADD: a_BetterFps (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/Block;Lnet/minecraft/util/math/BlockPos;)V
		- Method CHG: func_189540_a (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/Block;Lnet/minecraft/util/math/BlockPos;)V
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method CHG: func_149915_a (Lnet/minecraft/world/World;I)Lnet/minecraft/tileentity/TileEntity;
- net.minecraft.block.BlockPistonBase
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_176319_a (Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;Z)Z
		- Method CHG: func_185646_a (Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/util/EnumFacing;ZLnet/minecraft/util/EnumFacing;)Z
- net.minecraft.block.properties.PropertyBool
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: equals_foamfix_old (Ljava/lang/Object;)Z
		- Method ADD: hashCode_foamfix_old ()I
		- Method CHG: equals (Ljava/lang/Object;)Z
		- Method CHG: hashCode ()I
- net.minecraft.block.properties.PropertyEnum
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Field ADD: foamfix_hashCode I
		- Field ADD: foamfix_hashCode_calced Z
		- Method ADD: equals_foamfix_old (Ljava/lang/Object;)Z
		- Method ADD: hashCode_foamfix_old ()I
		- Method CHG: equals (Ljava/lang/Object;)Z
		- Method CHG: hashCode ()I
- net.minecraft.block.properties.PropertyInteger
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Field ADD: foamfix_hashCode I
		- Field ADD: foamfix_hashCode_calced Z
		- Method ADD: hashCode_foamfix_old ()I
		- Method CHG: hashCode ()I
- net.minecraft.block.state.BlockStateContainer
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: createState_foamfix_old (Lnet/minecraft/block/Block;Lcom/google/common/collect/ImmutableMap;Lcom/google/common/collect/ImmutableMap;)Lnet/minecraft/block/state/BlockStateContainer$StateImplementation;
		- Method CHG: createState (Lnet/minecraft/block/Block;Lcom/google/common/collect/ImmutableMap;Lcom/google/common/collect/ImmutableMap;)Lnet/minecraft/block/state/BlockStateContainer$StateImplementation;
- net.minecraft.client.Minecraft
	- guichaguri.betterfps.transformers.PatcherTransformer
		- Method ADD: aq_BetterFps ()V
		- Method CHG: func_71384_a ()V
	- lumien.resourceloader.asm.ClassTransformer
		- Method CHG: func_110436_a ()V
- net.minecraft.client.entity.EntityPlayerSP
	- guichaguri.betterfps.transformers.PatcherTransformer
		- Method ADD: func_70065_x ()V
- net.minecraft.client.gui.GuiOptions
	- guichaguri.betterfps.transformers.PatcherTransformer
		- Method ADD: a_BetterFps (Lnet/minecraft/client/gui/GuiButton;)V
		- Method ADD: func_146280_a (Lnet/minecraft/client/Minecraft;II)V
		- Method ADD: hasButtonInPosition (III)Z
		- Method CHG: func_146284_a (Lnet/minecraft/client/gui/GuiButton;)V
- net.minecraft.client.gui.GuiScreen
	- invtweaks.forge.asm.ITAccessTransformer
- net.minecraft.client.gui.GuiTextField
	- invtweaks.forge.asm.ContainerTransformer
		- Method CHG: func_146195_b (Z)V
- net.minecraft.client.gui.inventory.GuiContainer
	- invtweaks.forge.asm.ITAccessTransformer
- net.minecraft.client.gui.inventory.GuiCrafting
	- invtweaks.forge.asm.ITAccessTransformer
- net.minecraft.client.gui.inventory.GuiInventory
	- invtweaks.forge.asm.ITAccessTransformer
- net.minecraft.client.model.ModelBiped
	- blusunrize.immersiveengineering.common.asm.IEClassTransformer
		- Method CHG: func_78087_a (FFFFFFLnet/minecraft/entity/Entity;)V
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_78087_a (FFFFFFLnet/minecraft/entity/Entity;)V
- net.minecraft.client.renderer.BlockModelRenderer
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_187496_a (Lnet/minecraft/world/IBlockAccess;Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/util/math/BlockPos;IZLnet/minecraft/client/renderer/BufferBuilder;Ljava/util/List;Ljava/util/BitSet;)V
- net.minecraft.client.renderer.EntityRenderer
	- guichaguri.betterfps.transformers.PatcherTransformer
- net.minecraft.client.renderer.RenderItem
	- com.enderio.core.common.transform.EnderCoreTransformer
		- Method CHG: func_180453_a (Lnet/minecraft/client/gui/FontRenderer;Lnet/minecraft/item/ItemStack;IILjava/lang/String;)V
		- Method CHG: func_184391_a (Lnet/minecraft/entity/EntityLivingBase;Lnet/minecraft/item/ItemStack;II)V
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_180454_a (Lnet/minecraft/item/ItemStack;Lnet/minecraft/client/renderer/block/model/IBakedModel;)V
		- Method CHG: func_191966_a (Lnet/minecraft/client/renderer/block/model/IBakedModel;)V
- net.minecraft.client.renderer.entity.RenderBoat
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_188300_b (Lnet/minecraft/entity/item/EntityBoat;DDDFF)V
- net.minecraft.client.renderer.entity.layers.LayerArmorBase
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_188361_a (Lnet/minecraft/entity/EntityLivingBase;FFFFFFFLnet/minecraft/inventory/EntityEquipmentSlot;)V
		- Method CHG: func_188364_a (Lnet/minecraft/client/renderer/entity/RenderLivingBase;Lnet/minecraft/entity/EntityLivingBase;Lnet/minecraft/client/model/ModelBase;FFFFFFF)V
- net.minecraft.client.renderer.texture.TextureAtlasSprite
	- pl.asie.foamfix.coremod.FoamFixAT
		- Method CHG: func_94219_l ()V
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method CHG: func_176604_a (Lnet/minecraft/util/ResourceLocation;)Lnet/minecraft/client/renderer/texture/TextureAtlasSprite;
- net.minecraft.client.renderer.texture.TextureMap
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method CHG: func_94248_c ()V
	- team.chisel.ctm.client.asm.CTMTransformer
		- Method CHG: func_174942_a (Lnet/minecraft/util/ResourceLocation;)Lnet/minecraft/client/renderer/texture/TextureAtlasSprite;
- net.minecraft.client.renderer.texture.TextureUtil
	- pl.asie.foamfix.coremod.FoamFixAT
- net.minecraft.client.renderer.tileentity.TileEntityPistonRenderer
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_188186_a (Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/client/renderer/BufferBuilder;Lnet/minecraft/world/World;Z)Z
- net.minecraft.client.settings.KeyBinding
	- invtweaks.forge.asm.ITAccessTransformer
- net.minecraft.client.util.SearchTreeManager
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: onResourceManagerReload_foamfix_old (Lnet/minecraft/client/resources/IResourceManager;)V
		- Method CHG: func_110549_a (Lnet/minecraft/client/resources/IResourceManager;)V
- net.minecraft.enchantment.EnchantmentHelper
	- hellfirepvp.astralsorcery.core.AstralTransformer
		- Method CHG: func_77506_a (Lnet/minecraft/enchantment/Enchantment;Lnet/minecraft/item/ItemStack;)I
		- Method CHG: func_77518_a (Lnet/minecraft/enchantment/EnchantmentHelper$IModifier;Lnet/minecraft/item/ItemStack;)V
		- Method CHG: func_82781_a (Lnet/minecraft/item/ItemStack;)Ljava/util/Map;
- net.minecraft.entity.Entity
	- blusunrize.immersiveengineering.common.asm.IEClassTransformer
		- Method CHG: func_145775_I ()V
	- shetiphian.asm.ClassTransformer
		- Method CHG: func_174808_Z ()V
- net.minecraft.entity.EntityLivingBase
	- hellfirepvp.astralsorcery.core.AstralTransformer
		- Method CHG: func_184616_r ()V
		- Method CHG: func_70653_a (Lnet/minecraft/entity/Entity;FDD)V
- net.minecraft.entity.ai.EntityAICreeperSwell
	- com.enderio.core.common.transform.EnderCoreTransformer
		- Method CHG: func_75246_d ()V
- net.minecraft.entity.item.EntityBoat
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_70071_h_ ()V
		- Method CHG: func_70097_a (Lnet/minecraft/util/DamageSource;F)Z
- net.minecraft.entity.player.EntityPlayer
	- com.enderio.core.common.transform.EnderCoreTransformer
		- Method ADD: func_184613_cA ()Z
- net.minecraft.inventory.Container
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerBrewingStand
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerChest
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerDispenser
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerFurnace
	- com.enderio.core.common.transform.EnderCoreTransformer
		- Method CHG: func_82846_b (Lnet/minecraft/entity/player/EntityPlayer;I)Lnet/minecraft/item/ItemStack;
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerHopper
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerHorseInventory
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- invtweaks.forge.asm.ITAccessTransformer
- net.minecraft.inventory.ContainerMerchant
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerPlayer
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerRepair
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerShulkerBox
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
- net.minecraft.inventory.ContainerWorkbench
	- invtweaks.forge.asm.ContainerTransformer
		- Method ADD: invtweaks$largeChest ()Z
		- Method ADD: invtweaks$rowSize ()I
		- Method ADD: invtweaks$showButtons ()Z
		- Method ADD: invtweaks$slotMap ()Ljava/util/Map;
		- Method ADD: invtweaks$validChest ()Z
		- Method ADD: invtweaks$validInventory ()Z
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_82846_b (Lnet/minecraft/entity/player/EntityPlayer;I)Lnet/minecraft/item/ItemStack;
- net.minecraft.item.ItemStack
	- hellfirepvp.astralsorcery.core.AstralTransformer
		- Method CHG: func_82840_a (Lnet/minecraft/entity/player/EntityPlayer;Lnet/minecraft/client/util/ITooltipFlag;)Ljava/util/List;
- net.minecraft.tileentity.TileEntity
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: getKey_foamfix_old (Ljava/lang/Class;)Lnet/minecraft/util/ResourceLocation;
		- Method CHG: func_190559_a (Ljava/lang/Class;)Lnet/minecraft/util/ResourceLocation;
- net.minecraft.tileentity.TileEntityBeacon
	- guichaguri.betterfps.transformers.PatcherTransformer
		- Field ADD: tickCount I
		- Method ADD: updateActivation (III)V
		- Method ADD: updateGlassLayers (III)V
		- Method ADD: updateLevels (III)V
		- Method CHG: func_146000_x ()V
		- Method CHG: func_146003_y ()V
		- Method CHG: func_73660_a ()V
- net.minecraft.tileentity.TileEntityHopper
	- guichaguri.betterfps.transformers.PatcherTransformer
		- Field ADD: fastHopperUpdate I
		- Field ADD: isPickingUpItems Z
		- Method ADD: canPickupItems ()Z
		- Method ADD: canPickupItems (Lnet/minecraft/tileentity/IHopper;)Z
		- Method ADD: func_145836_u ()V
		- Method ADD: o_BetterFps ()Z
		- Method ADD: updateFastHopper ()V
		- Method CHG: func_145887_i ()Z
		- Method CHG: func_145891_a (Lnet/minecraft/tileentity/IHopper;)Z
	- pl.asie.foamfix.coremod.FoamFixAT
		- Method CHG: func_145883_k ()Z
		- Method CHG: func_145887_i ()Z
		- Method CHG: func_191420_l ()Z
- net.minecraft.tileentity.TileEntityPiston
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_145866_f ()V
		- Method CHG: func_73660_a ()V
- net.minecraft.util.ClassInheritanceMultiMap
	- pl.asie.foamfix.coremod.FoamFixAT
- net.minecraft.util.math.BlockPos$2$1
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method CHG: computeNext ()Lnet/minecraft/util/math/BlockPos$MutableBlockPos;
- net.minecraft.util.math.BlockPos$MutableBlockPos
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Field DEL: field_177996_d I
		- Field DEL: field_177997_b I
		- Field DEL: field_177998_c I
		- Method DEL: func_177952_p ()I
		- Method DEL: func_177956_o ()I
		- Method DEL: func_177958_n ()I
		- Method CHG: <init> (III)V
		- Method CHG: func_181079_c (III)Lnet/minecraft/util/math/BlockPos$MutableBlockPos;
		- Method CHG: func_185336_p (I)V
		- Method CHG: func_189534_c (Lnet/minecraft/util/EnumFacing;I)Lnet/minecraft/util/math/BlockPos$MutableBlockPos;
- net.minecraft.util.math.MathHelper
	- guichaguri.betterfps.transformers.MathTransformer
		- Field ADD: BF_SIN_BITS I
		- Field ADD: BF_SIN_COUNT I
		- Field ADD: BF_SIN_COUNT2 I
		- Field ADD: BF_SIN_MASK I
		- Field ADD: BF_SIN_MASK2 I
		- Field ADD: BF_SIN_TO_COS F
		- Field ADD: BF_radFull F
		- Field ADD: BF_radToIndex F
		- Field ADD: BF_sinHalf [F
		- Method ADD: <init> ()V
		- Method ADD: init_BetterFps ()V
		- Method CHG: <clinit> ()V
		- Method CHG: func_76126_a (F)F
		- Method CHG: func_76134_b (F)F
- net.minecraft.util.math.Vec3i
	- pl.asie.foamfix.coremod.FoamFixTransformer
- net.minecraft.util.text.Style
	- pl.asie.foamfix.coremod.FoamFixAT
- net.minecraft.world.World
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: foamfix_removeUnloadedEntities ()V
- net.minecraft.world.WorldServer
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method CHG: func_72939_s ()V
	- vazkii.quark.base.asm.ClassTransformer
		- Method CHG: func_73056_e ()Z
- net.minecraft.world.chunk.Chunk
	- com.mordenkainen.bedpatch.BedPatchASM
		- Method CHG: func_76623_d ()V
	- hellfirepvp.astralsorcery.core.AstralTransformer
		- Method CHG: func_177436_a (Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/state/IBlockState;)Lnet/minecraft/block/state/IBlockState;
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method CHG: <init> (Lnet/minecraft/world/World;II)V
- net.minecraft.world.chunk.storage.ExtendedBlockStorage
	- com.enderio.core.common.transform.EnderCoreTransformer
		- Method CHG: func_76663_a ()Z
- net.minecraftforge.client.ForgeHooksClient
	- team.chisel.ctm.client.asm.CTMTransformer
		- Method CHG: getDamageModel (Lnet/minecraft/client/renderer/block/model/IBakedModel;Lnet/minecraft/client/renderer/texture/TextureAtlasSprite;Lnet/minecraft/block/state/IBlockState;Lnet/minecraft/world/IBlockAccess;Lnet/minecraft/util/math/BlockPos;)Lnet/minecraft/client/renderer/block/model/IBakedModel;
- net.minecraftforge.client.model.ItemLayerModel
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: bake_foamfix_old (Lnet/minecraftforge/common/model/IModelState;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;)Lnet/minecraft/client/renderer/block/model/IBakedModel;
		- Method CHG: bake (Lnet/minecraftforge/common/model/IModelState;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;)Lnet/minecraft/client/renderer/block/model/IBakedModel;
- net.minecraftforge.client.model.ModelLoader$VanillaModelWrapper
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: bakeNormal_foamfix_old (Lnet/minecraft/client/renderer/block/model/ModelBlock;Lnet/minecraftforge/common/model/IModelState;Lnet/minecraftforge/common/model/IModelState;Ljava/util/List;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;Z)Lnet/minecraft/client/renderer/block/model/IBakedModel;
		- Method CHG: bakeNormal (Lnet/minecraft/client/renderer/block/model/ModelBlock;Lnet/minecraftforge/common/model/IModelState;Lnet/minecraftforge/common/model/IModelState;Ljava/util/List;Lnet/minecraft/client/renderer/vertex/VertexFormat;Ljava/util/function/Function;Z)Lnet/minecraft/client/renderer/block/model/IBakedModel;
	- team.chisel.ctm.client.asm.CTMTransformer
		- Method CHG: getTextures ()Ljava/util/Collection;
- net.minecraftforge.common.property.ExtendedBlockState
	- pl.asie.foamfix.coremod.FoamFixTransformer
		- Method ADD: createState_foamfix_old (Lnet/minecraft/block/Block;Lcom/google/common/collect/ImmutableMap;Lcom/google/common/collect/ImmutableMap;)Lnet/minecraft/block/state/BlockStateContainer$StateImplementation;
		- Method CHG: createState (Lnet/minecraft/block/Block;Lcom/google/common/collect/ImmutableMap;Lcom/google/common/collect/ImmutableMap;)Lnet/minecraft/block/state/BlockStateContainer$StateImplementation;
- oreexcavation.client.GuiEditShapes
	- pl.asie.foamfix.coremod.FoamFixTransformer
- thaumcraft.client.lib.events.ShaderHandler
	- pl.asie.foamfix.coremod.FoamFixTransformer
asmTransformerChanges.txt (44,718 bytes)

Chocohead

2018-06-16 11:01

developer   ~0005705

That's very useful, thank you. The root cause is Vanilla Fix: https://github.com/DimensionalDevelopment/VanillaFix/issues/73 but they've not released a version with the fix yet, so either you can remove it until they do or be careful searching JEI.

dragonmatt5

2018-06-17 07:40

reporter   ~0005712

I tried with their latest dev build and it seems to have fixed it. Thank you.

Issue History

Date Modified Username Field Change
2018-06-13 23:56 dragonmatt5 New Issue
2018-06-14 00:51 Chocohead Assigned To => Chocohead
2018-06-14 00:51 Chocohead Status new => resolved
2018-06-14 00:51 Chocohead Resolution open => no change required
2018-06-14 00:51 Chocohead Note Added: 0005694
2018-06-16 02:58 dragonmatt5 File Added: asmTransformerChanges.txt
2018-06-16 02:58 dragonmatt5 Note Added: 0005704
2018-06-16 11:01 Chocohead Note Added: 0005705
2018-06-17 07:40 dragonmatt5 Note Added: 0005712